1 - CreateAccountBudget

1.1 - 1.0

post /v1/budgets/account

Description

어카운트 예산 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

BudgetCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBudgetAccountShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/budgets/account

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"

Request body

{
    "amount": 1000000,
    "name": "test_budget",
    "notifications": {
        "is_use_notification": true,
        "notification_send_period": "FIRST",
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "thresholds": [
            80
        ]
    },
    "prevention": {
        "is_use_prevention": true,
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "threshold": 80
    },
    "start_month": "2026-01",
    "unit": "MONTHLY"
}

Example HTTP response

Response 201

{
    "budget": {
        "amount": 1000000,
        "created_at": "2025-11-01T00:00:00",
        "created_by": "TEST",
        "id": "240200fd2b02490ca63bb3965048b493",
        "modified_at": "2025-11-01T00:00:00",
        "modified_by": "TEST",
        "name": "my_budget_ex",
        "start_month": "2025-11",
        "type": "COST",
        "unit": "MONTHLY"
    },
    "notifications": {
        "is_use_notification": true,
        "notification_send_period": "FIRST",
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "thresholds": [
            80
        ]
    },
    "prevention": {
        "is_use_prevention": true,
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "threshold": 80
    }
}

2 - DeleteAccountBudget

2.1 - 1.0

delete /v1/budgets/account/{budget_id}

Description

어커운트 예산 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathbudget_id
required
Budget id
Example : 240200fd2b02490ca63bb3965048b493
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/budgets/account/{budget_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"

Example HTTP response

Response 204

3 - ListAccountBudgets

3.1 - 1.0

get /v1/budgets/account

Description

어카운트 예산 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querysearch_name
optional
Budget name
Example : my_budget_ex
any of [string, null]None
querybudget_name
optional
Budget name
Example : my_budget_ex
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKBudgetAccountPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/budgets/account

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"

Example HTTP response

Response 200

{
    "budgets": [
        {
            "amount": 1000000,
            "created_at": "2025-11-01T00:00:00",
            "created_by": "TEST",
            "id": "240200fd2b02490ca63bb3965048b493",
            "modified_at": "2025-11-01T00:00:00",
            "modified_by": "TEST",
            "name": "my_budget_ex",
            "start_month": "2025-11",
            "type": "COST",
            "unit": "MONTHLY"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

4 - SetAccountBudget

4.1 - 1.0

put /v1/budgets/account/{budget_id}

Description

어카운트 예산 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathbudget_id
required
Budget id
Example : 240200fd2b02490ca63bb3965048b493
stringNone
bodybody
required

BudgetSetRequest

Responses

HTTP CodeDescriptionSchema
200OKBudgetAccountShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/budgets/account/{budget_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"

Request body

{
    "amount": 1000000,
    "name": "test_budget",
    "notifications": {
        "is_use_notification": true,
        "notification_send_period": "FIRST",
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "thresholds": [
            80
        ]
    },
    "prevention": {
        "is_use_prevention": true,
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "threshold": 80
    },
    "start_month": "2026-01",
    "unit": "MONTHLY"
}

Example HTTP response

Response 200

{
    "budget": {
        "amount": 1000000,
        "created_at": "2025-11-01T00:00:00",
        "created_by": "TEST",
        "id": "240200fd2b02490ca63bb3965048b493",
        "modified_at": "2025-11-01T00:00:00",
        "modified_by": "TEST",
        "name": "my_budget_ex",
        "start_month": "2025-11",
        "type": "COST",
        "unit": "MONTHLY"
    },
    "notifications": {
        "is_use_notification": true,
        "notification_send_period": "FIRST",
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "thresholds": [
            80
        ]
    },
    "prevention": {
        "is_use_prevention": true,
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "threshold": 80
    }
}

5 - ShowAccountBudget

5.1 - 1.0

get /v1/budgets/account/{budget_id}

Description

어카운트 예산 상세 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathbudget_id
required
Budget id
Example : 240200fd2b02490ca63bb3965048b493
stringNone

Responses

HTTP CodeDescriptionSchema
201CreatedBudgetAccountShowResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/budgets/account/{budget_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"

Example HTTP response

Response 201

{
    "budget": {
        "amount": 1000000,
        "created_at": "2025-11-01T00:00:00",
        "created_by": "TEST",
        "id": "240200fd2b02490ca63bb3965048b493",
        "modified_at": "2025-11-01T00:00:00",
        "modified_by": "TEST",
        "name": "my_budget_ex",
        "start_month": "2025-11",
        "type": "COST",
        "unit": "MONTHLY"
    },
    "notifications": {
        "is_use_notification": true,
        "notification_send_period": "FIRST",
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "thresholds": [
            80
        ]
    },
    "prevention": {
        "is_use_prevention": true,
        "receivers": [
            "test_user1@test.com",
            "test_user2@test.com"
        ],
        "threshold": 80
    }
}